<div dir="ltr"><div class="gmail_extra">Hi,<br><br></div><div class="gmail_extra">There are plenty of bugs fixed since Qt 4.8.2 [1][2] and PySide 1.1.2 [3], so it seems to be a good time to cut a new PySide release. Anybody knows how to do this? I expected to find release checklist here  - <a href="http://qt-project.org/wiki/PySideDevelopment">http://qt-project.org/wiki/PySideDevelopment</a> - but couldn't find any.<br>

<br>1. <a href="http://blog.qt.digia.com/blog/2012/09/13/qt-4-8-3-released/">http://blog.qt.digia.com/blog/2012/09/13/qt-4-8-3-released/</a><br>2. <a href="http://blog.qt.digia.com/blog/2012/11/29/qt-4-8-4-released/">http://blog.qt.digia.com/blog/2012/11/29/qt-4-8-4-released/</a><br>

</div><div class="gmail_extra">3. actually, there is not enough information about issues affecting 1.1.2 at <br>    <a href="https://bugreports.qt-project.org/browse/PYSIDE/fixforversion/12609">https://bugreports.qt-project.org/browse/PYSIDE/fixforversion/12609</a><br>

</div><div class="gmail_extra"><div>-- <br>anatoly t.</div>
<br><br><br><div class="gmail_quote">On Fri, Jun 14, 2013 at 5:53 PM, John Ehresman <span dir="ltr"><<a href="mailto:jpe@wingware.com" target="_blank">jpe@wingware.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">

<div class="im">On 6/14/13 7:19 AM, Dennis Victorovich wrote:<br>
> Few months ago I've reported a bug about memory leak in c++ QMap -><br>
> python dict converter:<br>
> That's a really serious leak if you're often use that converter.<br>
>  From bugtracker we can see that it is fixed in PySide 1.1.2 by Hugo<br>
> Parente Lima.<br>
><br>
> It is so If we check source lines at<br>
> <a href="http://qt.gitorious.org/pyside/pyside/blobs/master/PySide/QtCore/typesystem_core_common.xml#line655" target="_blank">http://qt.gitorious.org/pyside/pyside/blobs/master/PySide/QtCore/typesystem_core_common.xml#line655</a><br>


><br>
> But FIX IS MISSING IN SOURCE CODE FROM OFFICIAL DOWNLOAD PAGE (<br>
> <a href="http://qt-project.org/uploads/pyside/pyside-qt4.8+1.1.2.tar.bz2" target="_blank">http://qt-project.org/uploads/pyside/pyside-qt4.8+1.1.2.tar.bz2</a>)<br>
<br>
</div>I think the fix was made in the git sources, but no release has been<br>
made since the fix went in.  Once a release such as 1.1.2 is made, it is<br>
not changed; any fixes will appear in the next release.<br>
<br>
We do need to get a new release out, but in the meantime I recommend<br>
using the sources from git.<br>
<br>
Cheers,<br>
<br>
John<br>
<br>
_______________________________________________<br>
PySide mailing list<br>
<a href="mailto:PySide@qt-project.org">PySide@qt-project.org</a><br>
<a href="http://lists.qt-project.org/mailman/listinfo/pyside" target="_blank">http://lists.qt-project.org/mailman/listinfo/pyside</a><br>
</blockquote></div><br></div></div>